Bug 15243 - linuxconf fixperm netconf resets sendmail directory owner/group
Summary: linuxconf fixperm netconf resets sendmail directory owner/group
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 15:45 UTC by Tim Boyer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 15:45:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Boyer 2000-08-03 15:45:31 UTC
Sendmail Switch (Sendmail 8.11.x) from sendmail requires 
that /etc/mail, /var/spool/mail, and /var/spool/mqeue be owned by smadmin, 
and in group smadmin, and sets these directories up accordingly.

Linuxconf 'Check some file permissions' says

The state of the system is not in sync with the current/updated 
configuration. You are allowed to make it current, or continue with the 
current configuration. You can alsolook at the things that will have to be 
done to make the system current.

Looking at things to be done says: 

Changing owner of file /var/spool/mqueue to root.mail
Changing permissions  of file /var/spool/mqueue from 40715 to 40755
Changing owner of file /var/spool/mail to root.mail
Changing permissions  of file /var/spool/mail from 40735 to 40775
Changing owner of file /etc/mail to root.root
Changing permissions  of file /etc/mail from 40715 to 40755

This causes sendmail to stop sending mail:

Aug  3 10:02:13 services sendmail[1721]: e73E2DH01721: SYSERR(smadmin): 
Can't create transcript file ./xfe73E2DH01721: Permission denied
Aug  3 10:02:16 services sendmail[1709]: e73E1Ds01709: SYSERR(smadmin): 
Can't create transcript file ./xfe73E1Ds01709: Permission denied

Comment 1 Nalin Dahyabhai 2000-09-12 20:02:16 UTC
Directory permissions have been fixed so that linuxconf and a
correctly-configured system are now in agreement.


Note You need to log in before you can comment on or make changes to this bug.